Package Details: drone-cli 1.1.0-1

Git Clone URL: https://aur.archlinux.org/drone-cli.git (read-only)
Package Base: drone-cli
Description: Drone CLI
Upstream URL: http://docs.drone.io/cli-installation/
Licenses: Apache
Submitter: kageurufu
Maintainer: ogarcia
Last Packager: ogarcia
Votes: 8
Popularity: 0.332425
First Submitted: 2015-11-20 16:19
Last Updated: 2019-04-22 15:20

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

1 2 Next › Last »

apricote commented on 2019-04-09 18:45

The current PKGBUILD does not work for my local setup.

My environment contains GO111MODULE=on, which conflicts with the build process used in the PKGBUILD.

It works when I add export GO111MODULE=off as the first line in build()

EDIT A previous version of this comment included the (invalid) env variable GO11MODULE, this was changed to the correct GO111MODULE name.

ogarcia commented on 2017-06-18 13:07

Updated to latest version and refactor all PKGBULD to make package from source.

mkaito commented on 2017-05-26 01:25

I'm going to orphan this, since I'm no longer using Drone.

carlwgeorge commented on 2017-05-25 20:38

As of 0.7.0, drone-cli is now a separate codebase.

https://github.com/drone/drone-cli

mkaito commented on 2017-04-29 15:43

I've updated the source URI. Does this program even support i686?

Cadair commented on 2017-03-22 14:38

From a recent conversation on Gitter it seems there is a versioned url like this one: downloads.drone.io/0.5.0/release/linux/amd64/drone.tar.gz

of the form: /{version}/release/{os}/{arch}/drone.tar.gz

https://gitter.im/drone/drone?at=58d28a34f7f7d4810443b793

mkaito commented on 2017-03-19 15:29

Upstream hasn't even bothered replying to the issue about a versioned URL. Nor most other things I've brought up with them. I might move away from Drone just because the devs are extremely unsupportive. If I do, I will orphan this package.

rmcfadzean commented on 2017-03-19 06:48

New Checksum: f6ea4355779da52dc96f573ffba850abedb598b4063a3764b4f573e8d46ce793

$ drone --version
drone version 0.5.0+dev

mkaito commented on 2017-02-13 12:54

I've adopted and updated the package. Upstream still doesn't provide a versioned URL, but I've opened an issue with them about it.

I've reinstated checksumming simply because you probably do not want to install the wrong version. If you do, simply skip checksums on your side. It is not something for the package maintainer to decide for you.

kageurufu commented on 2016-01-15 22:21

Until a versioned URL or similar is provided, I just skipped the checksum for the binary